<?php
function wprb_ride_booking_shortcode() {
	$button_txt = sanitize_text_field(get_option('calculate_button_txt'));
	$map_height = esc_attr(get_option('ride_map_height'));
	$header_footer_bg_color = esc_attr(get_option('ride_header_footer_bg_color'));
	$ride_text_color = esc_attr(get_option('ride_text_color'));
	$submit_button_bg_color = esc_attr(get_option('ride_submit_button_bg_color'));
	$button_bg_hover_color = esc_attr(get_option('ride_button_bg_hover_color'));
	$paypal_id =  sanitize_email(get_option('paypal_email'));
    return '<table border="0" cellpadding="0" cellspacing="3" width="100%" class="wpride-wrapper">
        <tr>
            <td colspan="4">
			<form class="ride-input-form">
                <div class="txtbox">
					<span>Source:</span>
                	<input type="text" id="txtSource" name="txtSource" value="" placeholder="Source location"/>
				</div>
				<div class="txtbox">
					<span>Destination:</span>
					<input type="text" id="txtDestination" name="txtDestination" value="" placeholder="Destination location"/>
				</div>
                <input type="button" class="button" value="'.$button_txt.'" onclick="GetRoute()" />
			</form>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <div id="dvDistance">
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="4">
                <div id="dvMap" style="height:'.$map_height.'px;">
                </div>
            </td>
        </tr>
		<tr class="ride_cal" id="ride_col" style="display:none">
		<td>Per km rate : <span id="rate_per_km"></span></td>
		<td>Distance : <span  id="distance"></span></td>
		<td colspan="2">Total Rate : <span  id="total_price"> </span></td>
		</tr>
		
		<tr><td id="paypal_form" colspan="4" style="display:none;">
		<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
    <input type="hidden" name="cmd" value="_xclick">
    <input type="hidden" id="paypal_id" name="business" value="'.$paypal_id.'">
    <input type="hidden" name="item_name" value="Ride Booking">
    <input type="hidden" name="item_number" value="1">
    <input type="hidden" id="item_amount" name="amount" value="">
    <input type="hidden" name="no_shipping" value="0">
    <input type="hidden" name="no_note" value="1">
    <input type="hidden" name="currency_code" value="USD">
    <input type="hidden" name="lc" value="AU">
    <input type="hidden" name="bn" value="PP-BuyNowBF">
    <input type="image" id="pay_button" src="https://www.paypal.com/en_AU/i/btn/btn_buynow_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online.">
    <img alt="" border="0" src="https://www.paypal.com/en_AU/i/scr/pixel.gif" width="1" height="1">
</form>
		</td></tr>
		
    </table><style>.ride-input-form, .ride_cal td{background:'.$header_footer_bg_color.'; color:'.$ride_text_color.';}.ride-input-form .txtbox span{color:'.$ride_text_color.';}.ride-input-form .button{background:'.$submit_button_bg_color.'; color:'.$ride_text_color.';}.ride-input-form .button:hover{background:'.$button_bg_hover_color.';}</style>';
		
}
 
function wp_ride_booking_register_shortcode() {
    add_shortcode( 'wp-ride-booking', 'wprb_ride_booking_shortcode' );
} 
add_action( 'init', 'wp_ride_booking_register_shortcode' );
?>